org.bdgenomics.adam.apis

# java

#### package java

Visibility

1. Public
2. All

### Type Members

1. #### class JavaADAMContext extends Serializable

2. #### abstract class JavaADAMPluginWithPredicate [Input, Output] extends JavaADAMPlugin[Input, Output]

   Plugins that seek to apply a predicate on the input records should extend this class.

3. #### abstract class JavaADAMPluginWithoutPredicate [Input, Output] extends JavaADAMPlugin[Input, Output]

   Plugins that do not want to apply a predicate should extend this class.

4. #### class JavaAlignmentRecordRDD extends Serializable

### Value Members

1. #### object JavaADAMContext extends Serializable

### Ungrouped